Enumerations | Functions
libetonyek::NUM1Token Namespace Reference

## Enumerations
enum | { INVALID_TOKEN = 0, FIRST_TOKEN = IWORKTokenInfo<NUM1Parser>::first, ls, document, page_info, stylesheet, workspace, workspace_array, workspace_style, version, VERSION_STR_2, LAST_TOKEN }
enum | Namespace { NS_URI_LS = ls << 16 }

## Functions
const IWORKTokenizer & | getTokenizer ()
| BOOST_STATIC_ASSERT (IWORKTokenInfo< NUM1Parser >::last >=LAST_TOKEN)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
INVALID_TOKEN |
FIRST_TOKEN |
ls |
document |
page_info |
stylesheet |
workspace |
workspace_array |
workspace_style |
version |
VERSION_STR_2 |
LAST_TOKEN |

## ◆ Namespace

enum libetonyek::NUM1Token::Namespace

Enumerator
NS_URI_LS |

## Function Documentation

## ◆ BOOST_STATIC_ASSERT()

libetonyek::NUM1Token::BOOST_STATIC_ASSERT | ( | IWORKTokenInfo< NUM1Parser >::last >= | LAST_TOKEN | ) |

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::NUM1Token::getTokenizer | ( |  | ) |

Referenced by libetonyek::NUM1Parser::getTokenizer().